Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039284
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-09-13 16:272018-12-11 20:22
ReporterJONHMView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision92a8e3505111
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039284: Return Material pick and execute take more that 5 minutes to be loaded on an environment with thousands of orders

DescriptionOpening the return material window takes too much time to load.
The view is taking about 5 minutes to show data, because of that, a timeout on the P&E window shows message 'No items to show'
Steps To ReproduceOpen Return Material Receipt window and run 'Pick/Edit' process.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107044)
markmm82 (developer)
2018-09-26 21:33

Testing on client's environment.

Before fix:
Cost=5737411.29 Time=207724.781 ms

After fix:
Cost=90944.03 Time=68.869 ms

Have been highly improved the cost as well as the execution time.
(0107367)
hgbot (developer)
2018-10-17 15:31

Repository: erp/devel/pi
Changeset: 92a8e3505111ecdab23209ba9d02eb8070a69dce
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Oct 15 21:29:18 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/92a8e3505111ecdab23209ba9d02eb8070a69dce [^]

Fixed issue 39284 new returnline column to improve performance

New returnline column to improve performance in M_RM_RECEIPT_PICK_EDIT view

testCostingR10 modified to use a copy of return from customer document instead
a copy of order document.

---
M src-db/database/model/tables/C_ORDERLINE.xml
M src-db/database/model/triggers/C_DOCTYPE_TRG.xml
M src-db/database/model/triggers/C_ORDERLINE_TRG.xml
M src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
M src-db/database/model/triggers/C_ORDER_TRG.xml
M src-db/database/model/views/M_RM_RECEIPT_PICK_EDIT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-test/src/org/openbravo/test/costing/utils/TestCostingConstants.java
M src-test/src/org/openbravo/test/costing/utils/TestCostingUtils.java
---
(0107368)
hgbot (developer)
2018-10-17 15:31

Repository: erp/devel/pi
Changeset: 33a73969f588fd713f6a13147cb69d707e87bca7
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Oct 15 21:49:50 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33a73969f588fd713f6a13147cb69d707e87bca7 [^]

related to issue 39284 sampletada changes related to testCostingR10 changes

---
M referencedata/sampledata/QA_Testing/AD_PINSTANCE.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/QA_Testing/AD_SEQUENCE.xml
M referencedata/sampledata/QA_Testing/C_ORDER.xml
M referencedata/sampledata/QA_Testing/C_ORDERLINE.xml
M referencedata/sampledata/QA_Testing/C_ORDERLINETAX.xml
M referencedata/sampledata/QA_Testing/C_ORDERTAX.xml
M referencedata/sampledata/QA_Testing/M_PRODUCT.xml
M referencedata/sampledata/QA_Testing/M_STORAGE_PENDING.xml
M src-test/src/org/openbravo/test/costing/utils/TestCostingConstants.java
---
(0107369)
hgbot (developer)
2018-10-17 15:31

Repository: erp/devel/pi
Changeset: 329f562353f5f1abe996ca89accdb09df656926a
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Oct 17 10:30:06 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/329f562353f5f1abe996ca89accdb09df656926a [^]

related to issue 39284 modulescript to fill new returnline column

---
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateReturnLineInOrderLine.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateReturnLineInOrderLineData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdateReturnLineInOrderLine.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdateReturnLineInOrderLine_data.xsql
---
(0107370)
hgbot (developer)
2018-10-17 15:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 23a96d19c6f1636517876e64284e7685591aec29
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Oct 01 08:39:10 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/23a96d19c6f1636517876e64284e7685591aec29 [^]

related to issue 39284 set new returnline column in orderloader

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0107471)
dmiguelez (developer)
2018-10-22 11:25

Code Review + Testing Ok
(0108434)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108435)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108436)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-13 16:27 JONHM New Issue
2018-09-13 16:27 JONHM Assigned To => Triage Finance
2018-09-13 16:27 JONHM Modules => Core
2018-09-13 16:27 JONHM Triggers an Emergency Pack => No
2018-09-14 13:20 Sandrahuguet Assigned To Triage Finance => markmm82
2018-09-14 18:00 markmm82 Status new => scheduled
2018-09-17 13:39 Sandrahuguet Tag Attached: Performance
2018-09-26 21:33 markmm82 Note Added: 0107044
2018-10-17 15:31 hgbot Checkin
2018-10-17 15:31 hgbot Note Added: 0107367
2018-10-17 15:31 hgbot Status scheduled => resolved
2018-10-17 15:31 hgbot Resolution open => fixed
2018-10-17 15:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/92a8e3505111ecdab23209ba9d02eb8070a69dce [^]
2018-10-17 15:31 hgbot Checkin
2018-10-17 15:31 hgbot Note Added: 0107368
2018-10-17 15:31 hgbot Checkin
2018-10-17 15:31 hgbot Note Added: 0107369
2018-10-17 15:31 hgbot Checkin
2018-10-17 15:31 hgbot Note Added: 0107370
2018-10-17 15:32 Sandrahuguet Review Assigned To => dmiguelez
2018-10-17 15:32 Sandrahuguet Assigned To markmm82 => Sandrahuguet
2018-10-22 11:25 dmiguelez Note Added: 0107471
2018-10-22 11:25 dmiguelez Status resolved => closed
2018-10-22 11:25 dmiguelez Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108434
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108435
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108436


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker